ZAP install error even though Java is installed - install4j wizard could not find a Java(TM) Runtime

5,588 views
Skip to first unread message

Nat Vaiser

unread,
Nov 30, 2022, 11:47:14 AM11/30/22
to OWASP ZAP User Group
Ok this should not be this hard. What am I doing wrong?

Below are all my steps...

I installed Java JRE from here: https://www.java.com/en/download/manual.jsp
File name: jre-8u351-windows-x64.exe

I downloaded the 64-bit Windows Zap installer from here:
https://www.zaproxy.org/download/ 


When I run the installer:

2022-11-30_11-38-40.jpg

I click 'Locate' and point it to:
C:\Program Files\Java\jre1.8.0_351\bin\java.exe

Error:
2022-11-30_11-42-36.jpg

I don't understand what else I'm missing. If I try to check the Java version from the command line it shows as installed:

2022-11-30_11-45-40.jpg


I've tried this on 2 different computers.

I also tried doing the same steps but with the 32-bit Java and 32-bit ZAP and get the same problem.


Thanks
Nat




thc...@gmail.com

unread,
Nov 30, 2022, 12:08:51 PM11/30/22
to zaprox...@googlegroups.com
Hi.

The latest ZAP version requires Java 11.
(That's mentioned in the install4j error dialogue and ZAP's download page.)

Best regards.

On 30/11/2022 16:47, Nat Vaiser wrote:
> Ok this should not be this hard. What am I doing wrong?
>
> Below are all my steps...
>
> I installed *Java JRE* from
> here: https://www.java.com/en/download/manual.jsp
> File name: *jre-8u351-windows-x64.exe*
>
> I downloaded the *64-bit Windows Zap installer* from here:
> https://www.zaproxy.org/download/
>
>
> When I run the installer:
>
> [image: 2022-11-30_11-38-40.jpg]
>
> I click '*Locate*' and point it to:
> C:\Program Files\Java\jre1.8.0_351\bin\java.exe
>
> *Error:*

Nat Vaiser

unread,
Nov 30, 2022, 12:28:15 PM11/30/22
to OWASP ZAP User Group
Thanks, having trouble locating version 11 JRE, every Google search is leading to this page which only has Java "SE" installers which are development kits, is this what I need?



Nat

thc...@gmail.com

unread,
Nov 30, 2022, 1:03:32 PM11/30/22
to zaprox...@googlegroups.com
I'd suggest using other OpenJDK build other than Oracle, they changed
the license some years ago which no longer allows all uses.

e.g. https://adoptium.net/en-GB/temurin/releases/?version=11

You can choose a JRE from there, the JDK also works fine though.

Nat Vaiser

unread,
Nov 30, 2022, 2:24:26 PM11/30/22
to OWASP ZAP User Group
Thanks, 1 step forward at least...  I was able to get ZAP to install now (after pointing it the Eclipse JRE folder / java.exe file), but after installation, ZAP still won't run, it errors with:

2022-11-30_14-20-14.jpg


So then I also installed the JDK as well, and re-installed ZAP again for good measure, but same thing when I try to launch it.


Nat

kingthorin+owaspzap

unread,
Nov 30, 2022, 4:01:26 PM11/30/22
to OWASP ZAP User Group
Did you uninstall Java 8?
When you installed Java 11 did you select the two optional items or followup with setting your JAVA_HOME, etc?

Nat Vaiser

unread,
Dec 15, 2022, 3:31:48 PM12/15/22
to OWASP ZAP User Group
Just do update here for anyone else having issues, what finally ended up working was installing this version of Java (OpenJDK), instead of getting it from Oracle:

Simon Bennetts

unread,
Dec 15, 2022, 7:42:32 PM12/15/22
to OWASP ZAP User Group
Thanks for letting us know :)

Ravishankar Yadav

unread,
Jan 6, 2023, 2:42:29 PM1/6/23
to OWASP ZAP User Group
Reply all
Reply to author
Forward
0 new messages